%global date 20170519
%global commit0 58f66ca8664b31038cef3bcde36737cac74e612e
%global shortcommit0 %(c=%{commit0}; echo ${c:0:12})
%global the_owner jpcgt

%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           flatcam
Version:        8.5
Release:        3.%{date}git%{shortcommit0}%{?dist}
Summary:        2D Computer-Aided PCB Manufacturing
License:        MIT
Group:          Productivity/Graphics/CAD
Url:            http://flatcam.org/
Source0:        https://bitbucket.org/%{the_owner}/%{name}/get/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
Patch0:         %{name}-add-python-setuptools-support.patch

BuildArch:      noarch

BuildRequires:  /usr/bin/git
BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils

Requires:       python
Requires:       python-simplejson
Requires:       python-qt4
Requires:       python-numpy
Requires:       python-scipy
Requires:       python-svg-path
Requires:       python-matplotlib
Requires:       python-matplotlib-qt4
Requires:       python-Rtree
Requires:       python-shapely
Requires:       hicolor-icon-theme


%description
A program for preparing CNC jobs for making PCBs on a CNC router.
Among other things, it can take a Gerber file generated by your favorite PCB
CAD program, and create G-Code for Isolation routing.


%prep
%autosetup -S git -n %{the_owner}-%{name}-%{shortcommit0}
rm -f setup_ubuntu.sh setup_ubuntu.sh upgrade_geos.sh


%build
%py2_build


%install
%py2_install
# install icon file
install -d %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
ln -sfr %{buildroot}%{_datadir}/%{name}/%{name}_icon128_inv.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
# install desktop file
install -p -D %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{python2_sitelib}/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*


%changelog
* Wed May 31 2017 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 8.5-3.20170519git58f66ca8664b
- Install .desktop and icons files.

* Sat May 27 2017 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 8.5-2.20170519git58f66ca8664b
- Fix startup script.

* Tue May 23 2017 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 8.4.20151026-1
- Initial RPM release.
